Crear lead
curl --request POST \
--url https://{tenantDomain}/api/v1/leads \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v1/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v1/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/api/v1/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v1/leads"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}/api/v1/leads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/api/v1/leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"campaign": "<string>",
"source": "<string>",
"status": "<string>",
"status_label": "<string>",
"notes": "<string>",
"score": "<string>",
"last_contacted_at": "<string>",
"converted_at": "<string>",
"lost_reason": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"temperature": "<string>",
"temperature_label": "<string>",
"probability": "<string>",
"expected_revenue": "<string>",
"currency": "<string>",
"estimated_close_date": "<string>",
"next_contact_at": "<string>",
"profile": {
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"email": "<string>",
"phone": "<string>",
"identification_number": "<string>",
"cuit": "<string>",
"razon_social": "<string>",
"business_position": "<string>",
"description": "<string>",
"preferred_contact_channel": "<string>",
"preferred_contact_time": "<string>",
"timezone": "<string>",
"marketing_consent": "<string>",
"marketing_consent_at": "<string>",
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>",
"district": "<string>",
"postal_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"phone": "<string>",
"latitude": "<string>",
"longitude": "<string>"
}
},
"tags": "<string>",
"requirements": {
"budget_min": "<string>",
"budget_max": "<string>",
"currency": "<string>",
"bedrooms_min": "<string>",
"bedrooms_max": "<string>",
"surface_min": "<string>",
"surface_max": "<string>",
"purchase_horizon": "<string>",
"financing_required": "<string>",
"property_types": "<string>",
"preferred_zones": "<string>",
"attribute_filters": "<string>",
"notes": "<string>"
},
"pipeline": {
"id": "<string>",
"name": "<string>"
},
"pipeline_stage": {
"id": "<string>",
"name": "<string>",
"category": "<string>",
"probability": "<string>"
},
"project": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"tagline": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"product_types": [
"<unknown>"
],
"lots_map": [
"<unknown>"
],
"has_lots_map": true,
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"product": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"product_type": "<string>",
"product_type_label": "<string>",
"type_labels": {
"sector": "<string>",
"unit": "<string>"
},
"thumbnail_url": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"project": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"tagline": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"product_types": [
"<unknown>"
],
"lots_map": [
"<unknown>"
],
"has_lots_map": true,
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"unit": {
"id": "<string>",
"sku": "<string>",
"name": "<string>",
"status": "<string>",
"price": "<string>",
"currency_type": "<string>"
},
"lead_channel": {
"id": "<string>",
"name": "<string>",
"key": "<string>"
},
"agent": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"email": "<string>",
"phone": "<string>",
"media": {
"avatar": {
"id": "<string>",
"name": "<string>",
"file_name": "<string>",
"mime_type": "<string>",
"size": "<string>",
"order": "<string>",
"urls": "<string>"
}
}
}
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Lead
Crear lead
Crea un nuevo lead con información de contacto y detalles opcionales de interés en propiedades.
POST
/
leads
Crear lead
curl --request POST \
--url https://{tenantDomain}/api/v1/leads \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v1/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v1/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/api/v1/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v1/leads"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}/api/v1/leads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/api/v1/leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"campaign": "<string>",
"source": "<string>",
"status": "<string>",
"status_label": "<string>",
"notes": "<string>",
"score": "<string>",
"last_contacted_at": "<string>",
"converted_at": "<string>",
"lost_reason": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"temperature": "<string>",
"temperature_label": "<string>",
"probability": "<string>",
"expected_revenue": "<string>",
"currency": "<string>",
"estimated_close_date": "<string>",
"next_contact_at": "<string>",
"profile": {
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"email": "<string>",
"phone": "<string>",
"identification_number": "<string>",
"cuit": "<string>",
"razon_social": "<string>",
"business_position": "<string>",
"description": "<string>",
"preferred_contact_channel": "<string>",
"preferred_contact_time": "<string>",
"timezone": "<string>",
"marketing_consent": "<string>",
"marketing_consent_at": "<string>",
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>",
"district": "<string>",
"postal_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"phone": "<string>",
"latitude": "<string>",
"longitude": "<string>"
}
},
"tags": "<string>",
"requirements": {
"budget_min": "<string>",
"budget_max": "<string>",
"currency": "<string>",
"bedrooms_min": "<string>",
"bedrooms_max": "<string>",
"surface_min": "<string>",
"surface_max": "<string>",
"purchase_horizon": "<string>",
"financing_required": "<string>",
"property_types": "<string>",
"preferred_zones": "<string>",
"attribute_filters": "<string>",
"notes": "<string>"
},
"pipeline": {
"id": "<string>",
"name": "<string>"
},
"pipeline_stage": {
"id": "<string>",
"name": "<string>",
"category": "<string>",
"probability": "<string>"
},
"project": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"tagline": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"product_types": [
"<unknown>"
],
"lots_map": [
"<unknown>"
],
"has_lots_map": true,
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"product": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"product_type": "<string>",
"product_type_label": "<string>",
"type_labels": {
"sector": "<string>",
"unit": "<string>"
},
"thumbnail_url": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"project": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"tagline": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"product_types": [
"<unknown>"
],
"lots_map": [
"<unknown>"
],
"has_lots_map": true,
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"unit": {
"id": "<string>",
"sku": "<string>",
"name": "<string>",
"status": "<string>",
"price": "<string>",
"currency_type": "<string>"
},
"lead_channel": {
"id": "<string>",
"name": "<string>",
"key": "<string>"
},
"agent": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"email": "<string>",
"phone": "<string>",
"media": {
"avatar": {
"id": "<string>",
"name": "<string>",
"file_name": "<string>",
"mime_type": "<string>",
"size": "<string>",
"order": "<string>",
"urls": "<string>"
}
}
}
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}